Subject: Re: bug#47841: 'tarball' jobs on ci.guix.gnu.org install the wrong profile

From: Leo Famulari <[email-masked]>
Date: Sat, 17 Apr 2021 14:59:23 -0400

On Sat, Apr 17, 2021 at 03:29:27PM +0200, Julien Lepiller wrote:
> (114 being obtained by looking at the latest build of the tarball:
> https://ci.guix.gnu.org/jobset/tarball).
[...]
> /root/.config/guix/current/etc/profile: No such file or directory

I built the tarball as it's done by `make release` [0]:

`./pre-inst-env guix pack -C xz --fallback -s x86_64-linux --localstatedir --profile-name=current-guix guix`

And, this tarball seems right:

------
var/guix
var/guix/db
var/guix/db/db.sqlite
var/guix/gcroots
var/guix/gcroots/profiles
var/guix/profiles
var/guix/profiles/per-user
var/guix/profiles/per-user/root
var/guix/profiles/per-user/root/current-guix
var/guix/profiles/per-user/root/current-guix-1-link
------

So, I guess that the CI job for these tarballs needs to be adjusted.

I'm going to test installing with this tarball in a Debian ISO now.

[0] https://git.savannah.gnu.org/cgit/guix.git/tree/Makefile.am?id=b18f45c21f5d697d384a7bd5c9d3ee314bba9e35#n739